#!/usr/bin/env bash

n=1

mkdir -p /app/vendor/stunnel/var/run/stunnel/
echo "$STUNNEL_PEM" > /app/vendor/stunnel/stunnel.pem
cat >> /app/vendor/stunnel/stunnel.conf << EOFEOF
client = yes
socket = r:TCP_NODELAY=1
socket = l:TCP_NODELAY=1
sslVersion = all
EOFEOF

for STUNNEL_URL in $STUNNEL_URLS
do
  eval STUNNEL_URL_VALUE=\$$STUNNEL_URL

  PROXY=$(echo $STUNNEL_URL_VALUE | perl -lne 'print "$1 $2 $3 $4 $5 $6 $7" if /^proxy:\/\/([^>]+)>([^:]+):([^;]+);$/')
  PROXY_URI=( $PROXY )
  LOCAL_PORT=${PROXY_URI[0]}
  DESTINATION_IP=${PROXY_URI[1]}
  DESTINATION_PORT=${PROXY_URI[2]}

  echo "Setting ${STUNNEL_URL}_STUNNEL config var"



  cat >> /app/vendor/stunnel/stunnel.conf << EOFEOF
[$STUNNEL_URL]
client = yes
accept = $LOCAL_PORT
connect = $DESTINATION_IP:$DESTINATION_PORT
EOFEOF

  let "n += 1"
done

chmod go-rwx /app/vendor/stunnel/*
